Переполнение буфера в GuildFTPd

Дата публикации:
14.10.2008
Всего просмотров:
1150
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GuildFTPd 0.x
Уязвимые версии: GuildFTPd 0.999.14, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке FTP "LIST" запросов. Удаленный авторизованный пользователь может с помощью специально сформированных комбинации команд "CWD" и "LIST" вызвать переполнении динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.guildftpd.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: GuildFTPd 0.999.8.11/0.999.14 Heap Corruption PoC/DoS Exploit

или введите имя

CAPTCHA